import Modifier from 'ember-modifier';
import ShikiService from '../services/shiki';
import type { Lang, Theme } from 'shiki';
import { LineHighlight } from '../components/code-block';
type Positional = [];
type Named = {
    code: string;
    language?: Lang | string;
    theme?: Theme | string;
    onCodeHighlighted?: (rendered: string, code: string, language?: Lang | string, theme?: Theme | string) => void;
    lineHighlights?: LineHighlight[];
};
export interface ShikiRenderSignature {
    Element: Element;
    Args: {
        Positional: Positional;
        Named: Named;
    };
}
export default class ShikiRender extends Modifier<ShikiRenderSignature> {
    shiki: ShikiService;
    modify(element: Element, _: Positional, { code, language, theme, onCodeHighlighted, lineHighlights }: Named): void;
    render: import("ember-concurrency").TaskForAsyncTaskFunction<{}, (code: Named['code'], language?: Named['language'], theme?: Named['theme'], onCodeHighlighted?: Named['onCodeHighlighted'], lineHighlights?: Named['lineHighlights']) => Promise<void>>;
}
export {};
//# sourceMappingURL=shiki-render.d.ts.map