import { _ as _applyDecoratedDescriptor, a as _initializerDefineProperty, b as _defineProperty } from '../_rollupPluginBabelHelpers-e795903d.js';
import Component from '@glimmer/component';
import { tracked } from '@glimmer/tracking';
import { precompileTemplate } from '@ember/template-compilation';
import { setComponentTemplate } from '@ember/component';

var TEMPLATE = precompileTemplate("<div class=\"code-tab-header\">\n  {{#each @names as |name|}}\n    <span\n      role=\"button\"\n      class=\"code-tab-header__name {{if (this.isActiveTab name) \'active\'}}\"\n      {{on \"click\" (fn this.setActiveTab name)}}\n    >\n      {{name}}\n    </span>\n  {{/each}}\n</div>\n<div class=\"code-tab-container\">\n  {{yield (component \'code-tab\' activeTabName=this.activeTabName)}}\n</div>");

var _class, _descriptor;
let CodeGroup = (_class = class CodeGroup extends Component {
  constructor(owner, args) {
    super(owner, args);
    _initializerDefineProperty(this, "activeTabName", _descriptor, this);
    _defineProperty(this, "setActiveTab", tabName => {
      this.activeTabName = tabName;
    });
    _defineProperty(this, "isActiveTab", tabName => {
      return this.activeTabName === tabName;
    });
    if (this.args.names[0]) {
      this.activeTabName = this.args.names[0];
    }
  }
}, (_descriptor = _applyDecoratedDescriptor(_class.prototype, "activeTabName", [tracked], {
  configurable: true,
  enumerable: true,
  writable: true,
  initializer: function () {
    return '';
  }
})), _class);
setComponentTemplate(TEMPLATE, CodeGroup);

export { CodeGroup as default };
//# sourceMappingURL=code-group.js.map
