import Component from '@glimmer/component';
import { precompileTemplate } from '@ember/template-compilation';
import { setComponentTemplate } from '@ember/component';

var TEMPLATE = precompileTemplate("<div class=\"code-tab {{if this.isActive \"code-tab--active\"}}\">\n  {{yield}}\n</div>");

class CodeTab extends Component {
  get isActive() {
    return this.args.activeTabName === this.args.name;
  }
}
setComponentTemplate(TEMPLATE, CodeTab);

export { CodeTab as default };
//# sourceMappingURL=code-tab.js.map
