import { _ as _applyDecoratedDescriptor, a as _initializerDefineProperty, b as _defineProperty } from '../_rollupPluginBabelHelpers-e795903d.js';
import { buildTask } from 'ember-concurrency/-private/async-arrow-runtime';
import Component from '@glimmer/component';
import { tracked } from '@glimmer/tracking';
import { timeout } from 'ember-concurrency';
import { precompileTemplate } from '@ember/template-compilation';
import { setComponentTemplate } from '@ember/component';

var TEMPLATE = precompileTemplate("<button\n  class=\"copy-button {{if this.showCopied \'copy-button--copied\'}}\"\n  type=\"button\"\n  {{on \"click\" this.copyToClipboard}}\n/>");

var _class, _descriptor;
let CopyButton = (_class = class CopyButton extends Component {
  constructor(...args) {
    super(...args);
    _initializerDefineProperty(this, "showCopied", _descriptor, this);
    _defineProperty(this, "loadLanguageTask", buildTask(() => ({
      context: this,
      generator: function* () {
        yield navigator.clipboard.writeText(this.args.text);
        this.showCopied = true;
        yield timeout(2000);
        this.showCopied = false;
      }
    }), null, "loadLanguageTask", null));
    _defineProperty(this, "copyToClipboard", async () => {
      await this.loadLanguageTask.perform();
    });
  }
}, (_descriptor = _applyDecoratedDescriptor(_class.prototype, "showCopied", [tracked], {
  configurable: true,
  enumerable: true,
  writable: true,
  initializer: function () {
    return false;
  }
})), _class);
setComponentTemplate(TEMPLATE, CopyButton);

export { CopyButton as default };
//# sourceMappingURL=copy-button.js.map
