import { _ as _applyDecoratedDescriptor, a as _initializerDefineProperty, b as _defineProperty } from '../_rollupPluginBabelHelpers-e795903d.js';
import { buildTask } from 'ember-concurrency/-private/async-arrow-runtime';
import Modifier from 'ember-modifier';
import { service } from '@ember/service';
import 'ember-concurrency';

var _class, _descriptor;
let ShikiRender = (_class = class ShikiRender extends Modifier {
  constructor(...args) {
    super(...args);
    _initializerDefineProperty(this, "shiki", _descriptor, this);
    _defineProperty(this, "render", buildTask(() => ({
      context: this,
      generator: function* (code, language, theme, onCodeHighlighted, lineHighlights) {
        const rendered = yield this.shiki.render.perform(code, language, theme, lineHighlights);
        onCodeHighlighted?.(rendered, code, language, theme);
      }
    }), {}, "render", null));
  }
  modify(element, _, {
    code,
    language,
    theme,
    onCodeHighlighted,
    lineHighlights
  }) {
    this.render.perform(code, language, theme, onCodeHighlighted, lineHighlights);
  }
}, (_descriptor = _applyDecoratedDescriptor(_class.prototype, "shiki", [service], {
  configurable: true,
  enumerable: true,
  writable: true,
  initializer: null
})), _class);

export { ShikiRender as default };
//# sourceMappingURL=shiki-render.js.map
