import Component from '@glimmer/component';
import CodeTab from './code-tab';
import { WithBoundArgs } from '@glint/template';
export interface CodeGroupSignature {
    Args: {
        names: string[];
    };
    Blocks: {
        default: [tab: WithBoundArgs<typeof CodeTab, 'activeTabName'>];
    };
}
export default class CodeGroup extends Component<CodeGroupSignature> {
    activeTabName: string;
    constructor(owner: unknown, args: CodeGroupSignature['Args']);
    setActiveTab: (tabName: string) => void;
    isActiveTab: (tabName: string) => boolean;
}
//# sourceMappingURL=code-group.d.ts.map